> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job

> Get the specified inventory job. Use this call to monitor the status of inventory upload, refresh, adjust, or deletion jobs. Once you have a job ID — returned by endpoints such as Delete Inventory, Delete Items, Refresh Inventory, or Adjust Inventory — continue polling this endpoint until the job reaches a terminal status (`SUCCESS` or `FAILED`). For polling patterns and monitoring guidance during bulk inventory deletions, see the <a href="/pages/bulk-inventory-deletion">Bulk Inventory Deletion guide</a>.



## OpenAPI

````yaml /openapi/openapi_inventory.json get /commerce/inventory/v1/queue/{jobID}
openapi: 3.0.0
info:
  description: |-
    <div id="overview_INVENTORY">
                <h2>INVENTORY</h2>
                <p>Use the Inventory API to retrieve the inventory levels of requested products, refresh and adjust current
                    stock levels at fulfillment locations, and tag segmented inventory for different channels. When using tags for inventory segmentation, inventory records are separated into categories to identify
                    which portions of its
                    total quantity are intended for different channels, customer groups, fulfillment methods, or other
                    needs.
                    This allows for setting a percentage of the quantity that would be available for each category and
                    setting discrete units at the location level as available for each category. For example, tags could
                    define how much of each
                    inventory record is set aside for a certain sales channel: the Kibo storefront, Walmart, or Amazon. The
                    percentages of the
                    inventory allotted for each channel would add up to 100% - the Kibo storefront could have 80% of the
                    inventory, Amazon 10%, and Walmart 10%. For more information, see the <a href="/developer-guides/inventory">Inventory guides</a>.</p>
                <p>Use the <strong>Inventory</strong>, <strong>Inventory Allocation</strong>, and <strong>Modify Inventory</strong> resources to retrieve and update inventory levels.</p>  
                <p>Use the <strong>Inventory Job</strong> resource to retrieve information about your pending inventory update processing jobs.</p> 
                <p>Use the <strong>Inventory Tag</strong> and <strong>Tag Category</strong> resources to segment your inventory records.</p> 
            </div>
  title: Inventory
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/inventory/v1/queue/{jobID}:
    get:
      tags:
        - InventoryJob
      summary: Get Job
      description: >-
        Get the specified inventory job. Use this call to monitor the status of
        inventory upload, refresh, adjust, or deletion jobs. Once you have a job
        ID — returned by endpoints such as Delete Inventory, Delete Items,
        Refresh Inventory, or Adjust Inventory — continue polling this endpoint
        until the job reaches a terminal status (`SUCCESS` or `FAILED`). For
        polling patterns and monitoring guidance during bulk inventory
        deletions, see the <a href="/pages/bulk-inventory-deletion">Bulk
        Inventory Deletion guide</a>.
      parameters:
        - description: Id of bin to get
          in: path
          name: jobID
          required: true
          schema:
            format: int64
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobQueueResponse'
          description: Success
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: string
                  message:
                    type: string
                type: object
          description: Job Not Found
components:
  schemas:
    JobQueueResponse:
      description: Response for getting a job
      properties:
        added:
          description: >-
            Time and date the job was added to the queue in ISO8601 format in
            UTC
          type: string
        finished:
          description: Time and date the job was finished in ISO8601 format in UTC
          type: string
        hasData:
          description: True if the job was not created from a fetched file
          type: boolean
        itemCount:
          description: The number of items processed, only for job types REFRESH and ADJUST
          type: integer
        jobID:
          description: Internal identifier that uniquely identifies a single job
          type: integer
        locationCode:
          description: Unique internal Identifier of the owning location
          type: string
        messages:
          description: List of messages
          items:
            type: string
          type: array
        numResults:
          description: Number of results
          type: integer
        originalFilename:
          description: >-
            The full name of the file that was picked up at the secure droppoint
            server before being split up by location. Applies only to refresh
            and adjust jobs created via file fetch process
          type: string
        started:
          description: Time and date the job was started in ISO8601 format in UTC
          type: string
        status:
          description: Current status of job completion
          enum:
            - PENDING
            - WORKING
            - SUCCESS
            - FAILED
          type: string
        success:
          description: Flag for success
          type: boolean
        tenantID:
          description: Unique internal identifier of the tenant that owns the job
          type: integer
        type:
          description: Purpose of the job
          enum:
            - REFRESH
            - ADJUST
            - RELEASE_SHIPMENTS
            - CREATE_PICK_WAVE
            - CLOSE_PICK_WAVE
            - PUT_AWAY_FILE
            - SHORT_PICK_ERROR
            - BIN_AUDIT_START
            - BIN_AUDIT_COMPLETION
            - CREATE_BIN_AUDIT
            - RELEASE_PENDING_ITEMS
            - ALLOCATE
            - DEALLOCATE
            - FULFILL
            - DELETE
          type: string
      title: Job Queue Response
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````